global:
  rbac:
    pspEnabled: false

###
# Theodolite resources
###

kafkaClient:
  enabled: true
  nodeSelector:
    env: dev
  

####
## configuration of sub charts
###

###
# Grafana
###
grafana:
  service:
    nodePort: 31399  
  rbac:
    create: true
    pspEnabled: false 
    namespaced: true
  nodeSelector:
    env: dev


###
# Confluent Platform 
###

cp-helm-charts:
  enabled: true
  ## ------------------------------------------------------
  ## Zookeeper
  ## ------------------------------------------------------
  cp-zookeeper:
    nodeSelector:
      env: dev

  ## ------------------------------------------------------
  ## Kafka
  ## ------------------------------------------------------
  cp-kafka:
    nodeSelector:
      env: dev

  ## ------------------------------------------------------
  ## Schema Registry
  ## ------------------------------------------------------
  cp-schema-registry:
    nodeSelector:
      env: dev


###
# Kafka Lag Exporter
###
kafka-lag-exporter:
  nodeSelector:
    env: dev
  clusters:
    - name: "theodolite-explorviz-cp-kafka"
      bootstrapBrokers: "theodolite-explorviz-cp-kafka:9092"


###
# Prometheus Monitoring Stack (Prometheus Operator)
###
kube-prometheus-stack:
  prometheusOperator:
    namespaces:
      releaseNamespace: true
      additional: []
    nodeSelector:
      env: dev


###
# Prometheus
###
prometheus: 
  nodeSelector:
    env: dev

###
# Theodolite Operator
###
operator:
  enabled: false

serviceAccount:
  create: false

rbac:
  create: false

randomScheduler:
  enabled: false
